Anonymous Login
2019-12-14 04:54 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000835v2.4 Release (Closed)[All Projects] Generalpublic2011-08-16 23:49
Reporterdeepak 
Assigned Tocaseydk 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.4 
Summary0000835: Missing Validations in Budget
DescriptionGetting query failed and there is no validation that estimated and actual budgets are mandatory.

 query failed(UPDATE `projects` SET `project_company` = '1', `project_name` = 'Personal', `project_short_name` = 'Personal', `project_owner` = '2', `project_url` = '', `project_demo_url` = '', `project_start_date` = '2011-06-16 00:00:00', `project_status` = '0', `project_color_identifier` = 'FFFFFF', `project_description` = '', `project_target_budget` = '', `project_actual_budget` = '', `project_creator` = '2', `project_active` = 1, `project_private` = 0, `project_priority` = '0', `project_type` = '0', `project_parent` = '1', `project_location` = '', `project_last_task` = 0, `project_original_parent` = '1', `project_departments` = '', `project_contacts` = '', `project_updated` = '2011-06-16 15:36:50', `project_created` = '2011-06-16 15:36:50' WHERE project_id = '1') - error was: <span style="color:red">Incorrect decimal value: '' for column 'project_target_budget' at row 1</span>
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001985

pedroa (administrator)

Hi,

I was looking at our base install code and I get:


  `project_target_budget` decimal(10,2) default '0.00',
  `project_actual_budget` decimal(10,2) default '0.00',

So we are accepting nulls on those two fields, question is...
Is Mysql in strict mode?

That's the only reason I see for mysql complaining with '' to inserted into a decimal field.

But I can agree that we could do the default ourselves if those fields are empty.

Pedro A.

~0002069

caseydk (administrator)

Resolved in r2005;
+Notes

-Issue History
Date Modified Username Field Change
2011-06-16 06:42 deepak New Issue
2011-06-17 07:23 pedroa Note Added: 0001985
2011-06-17 07:23 pedroa Status new => feedback
2011-06-25 23:14 caseydk Project v2.3 Release (Closed) => v2.4 Release (Closed)
2011-07-23 17:53 caseydk Note Added: 0002069
2011-07-23 17:53 caseydk Status feedback => resolved
2011-07-23 17:53 caseydk Resolution open => fixed
2011-07-23 17:53 caseydk Assigned To => caseydk
2011-08-16 23:49 caseydk Status resolved => closed
2011-08-16 23:49 caseydk Fixed in Version => 2.4
+Issue History